\section{Conclusions}
\label{sec:conclusions}
In this work we have introduced the importance of parallelizing in order to
improve the performance of an engineered system. We have defined the concepts
of \emph{Speedup} and \emph{Work} in parallel systems. Diving deeper into
computing, we have reevaluate Gustafson's reevaluation of Amdahl's law,
demonstrating that they are mathematically equivalent.

Additionally, we have reviewed these computing laws relevance in a modern
context. Particularly in their importance after the limitations of
single-processor speedups caused by the end of Dennard's scaling. We have
discussed the controversial topic of superlinear speedup and its sources.
Finishing with a reexamination of parallelism from the point of view of robotic
systems.

\clearpage